
#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class SimpleVideoDisplay : public iglu::IGLUDisplayMode {
public:
	SimpleVideoDisplay() : IGLUDisplayMode() {}
	virtual ~SimpleVideoDisplay() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "IGLU Video Demonstration"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "IGLU has a built in video loader (based on FFmpeg) that allow for "
			   "easy loading of videos.  These videos work just like IGLU textures, "
			   "except they also have an Update() method that progresses to the next "
			   "frame.";
	}

private:

};